Subject: Re: dummy as IMQ replacement

From: "Remus" <[email-masked]>
Date: Thu, 10 Mar 2005 09:18:53 -0000

Hi Jamal,

Thanks for the patch.
That error is gone but I got a new error:

ifconfig dummy0 up
tc qdisc add dev eth2 ingress
tc filter add dev eth2 parent ffff: protocol ip prio 10 u32 match u32 0 0 
flowid 1:1 action ipt -j MARK --set-mark 1 action mirred egress redirect dev 
dummy0
iptables: calloc failed: Cannot allocate memory

I use 2.6.11.2 kernel patched with your dummy patch, iptables 1.3.1 and the 
latest iproute2 patched with the pacth you sent yesterday.

Regards

Remus

----- Original Message ----- 
From: "Jamal Hadi Salim" <[email-masked]>
To: "Remus" <[email-masked]>
Cc: <[email-masked]>; "Nguyen Dinh Nam" <[email-masked]>; 
"Andre Tomt" <[email-masked]>; <[email-masked]>; "Andy Furniss" 
<[email-masked]>; "Damion de Soto" <[email-masked]>
Sent: Thursday, March 10, 2005 1:06 AM
Subject: Re: dummy as IMQ replacement

> Hi Remus,
>
> Please try this patch on top of latest iproute2. Credit to Patrick for
> spoting it. I dont know when or who made this change - in any case it
> doesnt matter if it works for you.
>
> cheers,
>
> On Wed, 2005-03-09 at 09:38, jamal wrote:
>
>> I have to go to work - so wont have time to look at this for sometime.
>> Maybe some of the netfilter folks like Patrick can solve it for you
>> before i get back.
>>
>> cheers,
>> jamal
>>
>